Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.scribe.messaging
Class PublishRequestMessage

    java.lang.Object
      rice.p2p.scribe.messaging.ScribeMessage
          rice.p2p.scribe.messaging.PublishRequestMessage

All Implemented Interfaces:
  Message, java.io.Serializable

public class PublishRequestMessage
extends ScribeMessage

Version:
  $Id: PublishRequestMessage.java,v 1.2 2005/03/11 00:58:02 jeffh Exp $
Author:
  Alan Mislove
See Also:
  Serialized Form

Field Summary
`protected ScribeContent` | `content` DESCRIBE THE FIELD

Fields inherited from class rice.p2p.scribe.messaging.ScribeMessage
`source, topic`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`PublishRequestMessage(NodeHandle source, Topic topic, ScribeContent content)` Constructor which takes a unique integer Id

Method Summary
`ScribeContent` | `getContent()` Returns the content

Methods inherited from class rice.p2p.scribe.messaging.ScribeMessage
`getPriority, getSource, getTopic, setSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### content

    protected ScribeContent content

  DESCRIBE THE FIELD

Constructor Detail

### PublishRequestMessage

    public PublishRequestMessage(NodeHandle source,
                                 Topic topic,
                                 ScribeContent content)

  Constructor which takes a unique integer Id

Parameters:
  `source` - The source address
  `topic` - DESCRIBE THE PARAMETER
  `content` - DESCRIBE THE PARAMETER

Method Detail

### getContent

    public ScribeContent getContent()

  Returns the content

  Returns:
    The content

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.